[lfs-fr] r1658 - in trunk/lfs: . appendices bootscripts/lfs/sbin chapter01 chapter05 chapter06

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Dim 4 Mar 17:19:49 PST 2012


Author: jmengual
Date: 2012-03-05 02:19:49 +0100 (Mon, 05 Mar 2012)
New Revision: 1658

Modified:
   trunk/lfs/appendices/scripts.xml
   trunk/lfs/bootscripts/lfs/sbin/ifup
   trunk/lfs/chapter01/changelog.xml
   trunk/lfs/chapter01/whatsnew.xml
   trunk/lfs/chapter05/binutils-pass1.xml
   trunk/lfs/chapter05/generalinstructions.xml
   trunk/lfs/chapter05/glibc.xml
   trunk/lfs/chapter05/toolchaintechnotes.xml
   trunk/lfs/chapter06/ncurses.xml
   trunk/lfs/chapter06/revisedchroot.xml
   trunk/lfs/chapter06/util-linux.xml
   trunk/lfs/general.ent
   trunk/lfs/packages.ent
Log:
Remise a 0 des compteurs pour LFS: historique des changements et nouveautes.



Modified: trunk/lfs/appendices/scripts.xml
===================================================================
--- trunk/lfs/appendices/scripts.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/appendices/scripts.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -6,8 +6,6 @@
   <!ENTITY cleanfs            SYSTEM "cleanfs.script"> 
   <!ENTITY console            SYSTEM "console.script"> 
   <!ENTITY functions          SYSTEM "functions.script"> 
-  <!ENTITY functions          SYSTEM "functions.script"> 
-  <!ENTITY consolelog         SYSTEM "consolelog.script"> 
   <!ENTITY halt               SYSTEM "halt.script"> 
   <!ENTITY initfunctions      SYSTEM "init-functions.script"> 
   <!ENTITY localnet           SYSTEM "localnet.script"> 

Modified: trunk/lfs/bootscripts/lfs/sbin/ifup
===================================================================
--- trunk/lfs/bootscripts/lfs/sbin/ifup	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/bootscripts/lfs/sbin/ifup	2012-03-05 01:19:49 UTC (rev 1658)
@@ -58,27 +58,27 @@
 log_info_msg "Bringing up the ${1} interface... "
 
 if [ ! -r "${file}" ]; then
-   log_warning_msg "\n${file} is missing or cannot be accessed." 
+   log_failure_msg2 "${file} is missing or cannot be accessed." 
    exit 1
 fi
 
 . $file
 
 if [ "$IFACE" = "" ]; then
-   log_failure_msg "\n${file} does not define an interface [IFACE]."
+   log_failure_msg2 "${file} does not define an interface [IFACE]."
    exit 1
 fi
 
 # Do not process this service if started by boot, and ONBOOT
 # is not set to yes
 if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
-   log_info_msg2 "skipped\n"
+   log_info_msg2 "skipped"
    exit 0
 fi
 
 for S in ${SERVICE}; do
   if [ ! -x "/lib/services/${S}" ]; then
-    MSG="\nUnable to process ${file}.  Either " 
+    MSG="\n     Unable to process ${file}.  Either " 
     MSG="${MSG}the SERVICE '${S} was not present "
     MSG="${MSG}or cannot be executed."
     log_failure_msg "$MSG"
@@ -102,11 +102,20 @@
       fi
 
    else
-      log_warning_msg "\nInterface ${IFACE} doesn't exist."
-      exit 0
+      log_failure_msg2 "Interface ${IFACE} doesn't exist."
+      exit 1
    fi
 fi
 
+# Set MTU if requested. Check if MTU has a "good" value.
+if test -n "${MTU}"; then
+   if [[ ${MTU} =~ ^[0-9]+$ ]] && [[ $MTU -ge 68 ]] ; then
+      ip link set dev ${IFACE} mtu $MTU
+   else
+      log_info_msg2 "Invalid MTU $MTU"
+   fi
+fi 
+
 for S in ${SERVICE}; do 
   IFCONFIG=${file} /lib/services/${S} ${IFACE} up
 done

Modified: trunk/lfs/chapter01/changelog.xml
===================================================================
--- trunk/lfs/chapter01/changelog.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter01/changelog.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -37,543 +37,16 @@
     </listitem>
 
 -->
-    <listitem>
-      <para>24-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Ajout d'un correctif à glibc qui corrige un problème
-          (erreur de segmentation) de dlopen() dans certains cas.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
 
     <listitem>
-      <para>23-02-2012</para>
+      <para>02-03-2012</para>
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Ajout d'une remarque à la section sur le partitionnement
-          concernant les technologies avancées (comme RAID et LVM).</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>19-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Adjout de sed au paquet m4 pour corriger une fausse
-          erreur de test Corrige <ulink url="&lfs-ticket-root;3022">#3022</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Mise à jour du script mountfs pour supporter les
-          volumes LVM  lors de leur arrêt.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-     <listitem>
-      <para>15-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Man-DB-2.6.1. Corrige
-          <ulink url="&lfs-ticket-root;3020">#3020</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[bdubbs] - Activation de toutes les partitions LVM possibles
-          dans le script checkfs. Merci à Qrux pour avoir mis en évidence 
-          le problème.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>14-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Shadow-4.1.5. Corrige
-          <ulink url="&lfs-ticket-root;3019">#3019</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2.6. Corrige
-          <ulink url="&lfs-ticket-root;3018">#3018</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>11-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Correctien de quelques balisages pour deux commandes
-          d'installation. Ceci aide la gestion de paquets pour jhalfs. Merci à
-          Pierre Labastie pour le correctif.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Création de /usr/lib/libstdc++.la plus tôt au
-          chapitre 6 pour corriger un problème ICA. Merci à Pierre Labastie pour
-          le correctif.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à GMP-5.0.4. Corrige
-          <ulink url="&lfs-ticket-root;3017">#3017</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>09-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Suppression d'une correction de la suite de tests de
-          GMP qui a été ajoutée en amont avec 
-          GMP-5.0.3. Corrige <ulink url="&lfs-ticket-root;3016">#3016</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-     <para>07-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Udev-181. Corrige
-          <ulink url="&lfs-ticket-root;3015">#3015</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Kmod-5. Corrige
-          <ulink url="&lfs-ticket-root;3014">#3014</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2.5. Corrige
-          <ulink url="&lfs-ticket-root;3013">#3013</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>05-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2.4. Corrige
-          <ulink url="&lfs-ticket-root;3012">#3012</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Automake-1.11.3. Corrige
-          <ulink url="&lfs-ticket-root;3011">#3011</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Suppression des dernières mentions qui restaient de
-          Module-Init-Tools.
+          <para>[bdubbs] - Publication de LFS-7.1.
           </para>
         </listitem>
-        <listitem>
-          <para>[matthew] - Installation des fichiers pkgconfig de Kmod et de Xz
-          à l'emplacement standard. Merci à John Burrell et à Bryan pour les
-          signalements d'origine et à Ken pour la correction suggérée.</para>
-        </listitem>
       </itemizedlist>
     </listitem>
-    <listitem>
-      <para>04-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bryan] - Correction du texte de la section 7.4 ("gestion des
-          périphériques et des modules"), et modification ee la recommandation 
-          selon laquelle les enveloppes de  modules devraient plutôt utiliser le
-          support kmod pour la souplesse des dépendances ensuite. Corrige
-          <ulink url="&lfs-ticket-root;3010">#3010</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
 
-    <listitem>
-     <para>02-02-2012</para>
-     <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Correction des scripts de démarrage :
-          <itemizedlist>
-            <listitem><para>Suppression de function literals inutiles.</para></listitem>
-            <listitem><para>Correction de la logique pidlist dans statusproc.</para></listitem>
-            <listitem><para>Correction de l'état d'utilisation de statusproc.</para></listitem>
-            <listitem><para>Ajout de nodevtmpfs dans mountfs stop.</para></listitem>
-          </itemizedlist>
-          </para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Suppression de références oblolètes à consolelog.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Reformatage de la commande configure d'udev.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>01-02-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Clarification (encore) de l'ordre d'extraction dans
-          GCC Passe 1.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Reformatage de la commande configure de
-          Kmod.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>30-12-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Zlib-1.2.6. Corrige
-          <ulink url="&lfs-ticket-root;3009">#3009</ulink>.</para>
-        </listitem>
-         <listitem>
-          <para>[matthew] - Déplacement de Xz avant GRUB pour que ce dernier
-          puisse supportr les images du noyau compressées.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Udev-180. Corrige
-          <ulink url="&lfs-ticket-root;3008">#3008</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>28-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Psmisc-22.15. Corrige
-          <ulink url="&lfs-ticket-root;3007">#3007</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à GMP-5.0.3. Corrige
-          <ulink url="&lfs-ticket-root;3006">#3006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2.2. Corrige
-          <ulink url="&lfs-ticket-root;3005">#3005</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Udev-179. Corrige
-          <ulink url="&lfs-ticket-root;3004">#3004</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-   <listitem>
-      <para>22-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Mise à jour des scripts de démarrage réseaux
-          pour le support des périphériques bridgés dans BLFS.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2.1. Corrige
-          <ulink url="&lfs-ticket-root;2999">#2999</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Udev-178, ce qui inclut d'ajouter sa
-          nouvelle dépdendance, Kmod-4. Corrige
-          <ulink url="&lfs-ticket-root;2998">#2998</ulink> et
-          <ulink url="&lfs-ticket-root;3001">#3001</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
- 
-    <listitem>
-      <para>16-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Modification de scripts de démarrage pour utiliser 
-          devtmpfs pour /dev. Déplacement du montage de /dev vers mountvirtfs et
-          garantie que /dev aille dans /etc/mtab.  Modification de fstab et 
-          des sections de configuration du noyau pour répercuter ces
-          changements.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>11-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Ajout d'une clarification à la configuration de
-           GRUB s'agissant de l'utilisation d'une partition d'amorçage 
-           distincte. </para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Suppression de Libnl, il n'est en fait pas exigé par
-          IPRoute2. Merci à Markku Pesonen pour avoir trouvé la correction
-          en amont.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>08-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Empêchement que Libnl d'installer les bibliothèques
-          statiques. Merci à Ken Moffat pour le signalement.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Coreutils-8.15. Corrige
-          <ulink url="&lfs-ticket-root;2996">#2996</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à IPRoute2-3.2.0 et ajout de sa nouvelle
-          dépendance, libnl-2.0. Corrige
-          <ulink url="&lfs-ticket-root;2995">#2995</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.2. Corrige
-          <ulink url="&lfs-ticket-root;2993">#2993</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Correction d'une coquille dans le nom de l'archive 
-          tar. Corrige <ulink url="&lfs-ticket-root;2991">#2991</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à File-5.10. Corrige
-          <ulink url="&lfs-ticket-root;2989">#2989</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>06-01-2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à une commande plus simple pour la détection
-          de la version de Glibc par version-check.sh sur toutes les plateformes.
-          Merci à Pierre Labastie pour le signalement et la correction.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Passage à un script php pour 'S'enregistrer'.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-   <listitem>
-      <para>28-12-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Correction de détection de la version de Glibc
-          par version-check.sh sur les hôtes Debian 64 bits. Merci
-          Pierre Labastie pour le signalement et la correction.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>22-12-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Automake-1.11.2. Corrige
-          <ulink url="&lfs-ticket-root;2986">#2986</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.1.6. Corrige
-          <ulink url="&lfs-ticket-root;2985">#2985</ulink>.</para>
-        </listitem>
-       <listitem>
-          <para>[matthew] - Correction des droits de /run/shm. Corrige
-          <ulink url="&lfs-ticket-root;2984">#2984</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Ajout des correctifs en amont de MPFR. Corrige
-          <ulink url="&lfs-ticket-root;2983">#2983</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>10-12-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.1.5. Corrige
-          <ulink url="&lfs-ticket-root;2981">#2981</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>05-12-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Déplacement de Psmisc avant E2fsprogs car la suite
-          de tests d'E2fsprogs utilise killall. Corrige
-          <ulink url="&lfs-ticket-root;2975">#2975</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>01-12-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Amélioration de l'élaboration de la liste des fichiers 
-          installés pour un certain nombre de paquets. Merci à Chris Staub pour
-          le correctif. Corrige
-          <ulink url="&lfs-ticket-root;2979">#2979</ulink>.</para>
-        </listitem>
-         <listitem>
-          <para>[matthew] - On empêche que certains aspects de'arpd ne
-          soient installés avec IPRoute2. Corrige
-          <ulink url="&lfs-ticket-root;2977">#2977</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Correction de l'emplacement de libstdbuf de Coreutils.
-          Corrige <ulink url="&lfs-ticket-root;2976">#2976</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Ajout des derniers correctifs d'amont de Bash. 
-          Corrige <ulink url="&lfs-ticket-root;2968">#2968</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>28-11-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à E2fsprogs-1.42. Corrige
-          <ulink url="&lfs-ticket-root;2973">#2973</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.1.4. Corrige
-          <ulink url="&lfs-ticket-root;2970">#2970</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à IPRoute2-3.1.0. Corrige
-          <ulink url="&lfs-ticket-root;2969">#2969</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Passage à lfs-bootscripts-20111128.</para>
-        </listitem>
-        <listitem>
-          <para>[ken] - Correction d'un bogue de sauvegarde de l'heure du jour
-          dans la suite de tests de coreutils.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>26-11-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Nettoyage du script console.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>25-11-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à Binutils-2.22. Corrige
-          <ulink url="&lfs-ticket-root;2967">#2967</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[matthew] - Réinstallation des en-têtes NIS et RPC de Glibc.
-          Les en-têtes ne s'installent plus par défaut depuis Glibc-2.14, mais
-          ceci casse beaucoup de paquets de BLFS. Corrige
-          <ulink url="&lfs-ticket-root;2965">#2965</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Grep-2.10. Corrige
-          <ulink url="&lfs-ticket-root;2964">#2964</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[matthew] - Ajout d'un correctif pour corriger une faille de 
-          sécurité dans Perl. Corrige 
-          <ulink url="&lfs-ticket-root;2963">#2963</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[matthew] - Passage à GDBM-1.10. Corrige
-          <ulink url="&lfs-ticket-root;2962">#2962</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Installation de
-          <filename class="libraryfile">libstdbuf.so</filename> de  Coreutils
-          dans
-          <filename class="directory">/usr/lib/coreutils</filename> pour garder
-          la cohérence avec les emplacements de la bibliothèque partagée d'autres
-          paquets. Corrige <ulink url="&lfs-ticket-root;2961">#2961</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Linux-3.1.2. Corrige
-          <ulink url="&lfs-ticket-root;2960">#2960</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Tcl-8.5.11. Corrige
-          <ulink url="&lfs-ticket-root;2959">#2959</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>16-11-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Accord des droits 660 à /var/log/btmp.
-          Suggestion de Michael Blanchard.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>14-11-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Passage à boot scripts: nettoyage général ;
-          déplacement des fonctions de consolelog vers rc ;
-          nettoyage des fonctions journal au démarrage ;
-          correction de l'invite interactif au démarrage au niveau d'exécution
-          S et celui cible.
-          Merci à DJ Lucas.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-    <listitem>
-      <para>29-10-2011</para>
-      <itemizedlist>
-         <listitem>
-          <para>[bdubbs] - Correction du texte dans la description des scripts de
-          démarrage.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Suppression d'une ligne de source dans les fonctions
-          des scripts de démarrage utilisées pour des raisons de rétro-compatibilité
-          avec BLFS.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>29-10-2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[matthew] - Passage à GCC-4.6.2. Corrige
-          <ulink url="&lfs-ticket-root;2951">#2951</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[matthew] - Passage à Util-Linux-2.20.1. Corrige
-          <ulink url="&lfs-ticket-root;2947">#2947</ulink>.</para>
-        </listitem>
-
-        <listitem>
-          <para>[matthew] - Passage à Libtool-2.4.2. Corrige
-          <ulink url="&lfs-ticket-root;2946">#2946</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Publication de LFS-7.0.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-
   </itemizedlist>
 </sect1>
-

Modified: trunk/lfs/chapter01/whatsnew.xml
===================================================================
--- trunk/lfs/chapter01/whatsnew.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter01/whatsnew.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -22,76 +22,76 @@
 
   <itemizedlist>
     <title>Mis à jour vers :</title>
-    <listitem><para></para></listitem>  <!-- satify build -->
-    <listitem>
+    <listitem><para></para></listitem>  <!-- satisfy build -->
+    <!--<listitem>
     <para>None</para>
-    </listitem> 
+    </listitem> -->
     <!--<listitem>
       <para>Autoconf &autoconf-version;</para>
     </listitem> -->
-    <listitem>
+    <!--<listitem>
       <para>Automake &automake-version;</para>
-    </listitem> 
+    </listitem>-->
     <!--<listitem>
       <para>Bash &bash-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Berkeley DB &db-version;</para>
     </listitem> -->
-    <listitem>
+    <!--<listitem>
       <para>Binutils &binutils-version;</para>
-    </listitem> 
-    <!-- <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Bison &bison-version;</para>
-    </listitem> -->
+    </listitem>-->
     <!--<listitem>
       <para>Bzip2 &bzip2-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils &coreutils-version;</para>
-    </listitem>
-    <!-- <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>DejaGNU &dejagnu-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>File &file-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Findutils &findutils-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Flex &flex-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GDBM &gdbm-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gettext &gettext-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Glibc &glibc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Grep &grep-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Groff &groff-version;</para>
     </listitem>-->
@@ -107,111 +107,109 @@
     <!--<listitem>
       <para>Inetutils &inetutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Kmod &kmod-version;</para>
-    </listitem>
-    <!-- <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Less &less-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>LFS-Bootscripts &lfs-bootscripts-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Libpipeline &libpipeline-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libtool &libtool-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Linux &linux-version;</para>
-    </listitem>
-    <!-- <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>M4 &m4-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Make &make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Man-pages &man-pages-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>MPC &mpc-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>MPFR &mpfr-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Ncurses &ncurses-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Perl &perl-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Procps &procps-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Psmisc &psmisc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Readline &readline-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>Sed &sed-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Shadow &shadow-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Sysklogd &sysklogd-version;</para>
     </listitem>-->
     <!--<listitem>
       <para>SysVinit &sysvinit-version;</para>
     </listitem>-->
-    <!-- <listitem>
+    <!--<listitem>
       <para>Tar &tar-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>TCL &tcl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Udev &udev-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>&udev-config;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Vim &vim-version;</para>
     </listitem>-->
-
-    <!-- <listitem>
+    <!--<listitem>
       <para>XZ-Utils &xz-version;</para>
     </listitem>-->
-
-    <listitem>
+    <!--<listitem>
       <para>Zlib &zlib-version;</para>
-    </listitem>
+    </listitem>-->
   </itemizedlist>
 
   <!--<itemizedlist>
-    <title>Rétrogradés vers :</title>
+    <title>Downgraded to:</title>
 
     <listitem>
       <para>PLACEHOLDER</para>
@@ -221,27 +219,31 @@
 
   <itemizedlist>
     <title>Ajoutés :</title>
+    <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <listitem>
+    <!--<listitem>
       <para>&glibc-sort-patch;</para>
     </listitem>
 
     <listitem>
       <para>Kmod-&kmod-version;</para>
     </listitem>
+
     <listitem>
       <para>&mpfr-fixes-patch;</para>
     </listitem>
+
     <listitem>
       <para>&shadow-nscd-patch;</para>
-    </listitem>
+    </listitem>-->
 
   </itemizedlist>
 
   <itemizedlist>
     <title>Supprimés :</title>
+    <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <listitem>
+    <!--<listitem>
       <para>bash-4.2-fixes-3.patch</para>
     </listitem>
 
@@ -251,7 +253,7 @@
 
     <listitem>
       <para>gcc-4.6.1-locale-1.patch</para>
-    </listitem>
+    </listitem>-->
 
   </itemizedlist>
 

Modified: trunk/lfs/chapter05/binutils-pass1.xml
===================================================================
--- trunk/lfs/chapter05/binutils-pass1.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter05/binutils-pass1.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -88,7 +88,7 @@
         <listitem>
           <para>Vu que la description de la machine dans la variable
           <envar>LFS_TGT</envar> est légèrement différente de la valeur retournée
-          par le script config.guess, ce paramètre va dire au script <command>configure</command>
+          par le script <command>config.guess</command>, ce paramètre va dire au script <command>configure</command>
           d'ajuster le système de construction de Binutils pour la construction
           d'un éditeur de lien croisé.</para>
         </listitem>

Modified: trunk/lfs/chapter05/generalinstructions.xml
===================================================================
--- trunk/lfs/chapter05/generalinstructions.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter05/generalinstructions.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -56,6 +56,11 @@
     <para>Enfin, un point important doit être précisé :</para>
 
     <important>
+      <para>Les instructions de construction correspondent à l'utilisation du shell
+	<command>bash</command>.</para>
+    </important>
+
+    <important>
       <para>Pour remettre en évidence la procédure de construction :</para>
 
       <orderedlist numeration="arabic" spacing="compact">

Modified: trunk/lfs/chapter05/glibc.xml
===================================================================
--- trunk/lfs/chapter05/glibc.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter05/glibc.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -170,9 +170,7 @@
     <para>Le programme <command>msgfmt</command>, manquant ou incompatible, ne
     pose généralement pas de problème. Ce programme <command>msgfmt</command>
     fait partie du paquet Gettext que la distribution hôte
-    devrait fournir. Si <command>msgfmt</command> est présent mais semble
-    incompatible, mettez à jour le paquet Gettext du système hôte ou continuez sans
-    et voyez si la suite de tests continue son exécution sans problèmes.</para>
+    devrait fournir.</para>
 
     <para>Compilez le paquet :</para>
 

Modified: trunk/lfs/chapter05/toolchaintechnotes.xml
===================================================================
--- trunk/lfs/chapter05/toolchaintechnotes.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter05/toolchaintechnotes.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -44,11 +44,8 @@
     les bibliothèques partagées nécessaires à un programme pour
     s'exécuter, puis l'exécute. Le nom de l'éditeur dynamique pour une machine
     Intel 32 bits sera <filename class="libraryfile">ld-linux.so.2</filename>.
-    Une façon sûre de déterminer le nom de l'éditeur de liens dynamiques est de 
-    chercher dans le répertoire
-    <filename class="directory">/lib</filename> du système hôte. Une
-    façon certaine de déterminer le nom est d'inspecter un binaire au
-    hasard du système hôte en exécutant :
+    Une façon sûre de déterminer le nom de l'éditeur de liens dynamiques est 
+    d'inspecter un binaire au hasard du système hôte en exécutant :
 
     <userinput>readelf -l <nom du binaire> | grep interpreter</userinput>
 

Modified: trunk/lfs/chapter06/ncurses.xml
===================================================================
--- trunk/lfs/chapter06/ncurses.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter06/ncurses.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -45,9 +45,9 @@
          one.
 
     <para>Depuis la version de Ncurses-&ncurses-version;, des bogues ont
-    été aorrigés et des options ajoutées. Les nouveautés les llus ´i´mportantes
-    ....... Lour obtenir ces corrections et aes lossibilités, appliquez le 
-    correctif ... :</para>
+    été aorrigés et des options ajoutées. Les nouveautés les llus importantes
+    ....... Pour obtenir ces corrections et ces lossibilités, appliquez le 
+    correctif :</para>
 
 <screen><userinput>bzcat ../&ncurses-rollup-patch; | patch -Np1</userinput></screen>
     -->
@@ -173,7 +173,7 @@
         <seg>libcursesw.{a,so} (lien symbolique et script de l'éditeur de
         liens vers libncursesw.{a,so}),
         libformw.{a,so}, libmenuw.{a,so}, libncurses++w.a, libncursesw.{a,so},
-        libpanelw.{a,so} ainsi que leur équivalents non <quote>wide-character</quote> avec un nom identique, mais sans le w.</seg>
+        libpanelw.{a,so} ainsi que leurs équivalents non <quote>wide-character</quote> avec un nom identique, mais sans le w.</seg>
         <seg>/usr/share/tabset, /usr/share/terminfo</seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/lfs/chapter06/revisedchroot.xml
===================================================================
--- trunk/lfs/chapter06/revisedchroot.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter06/revisedchroot.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -19,13 +19,15 @@
     PATH=/bin:/usr/bin:/sbin:/usr/sbin \
     /bin/bash --login</userinput></screen>
 
-  <para>La raison en est que les programmes ne sont plus
+  <para>La raison en est que les programmes de <filename
+  class="directory">/tools</filename> ne sont plus
   nécessaires. Comme ils ne sont plus utiles, vous pouvez supprimer le
   répertoire <filename class="directory">/tools</filename> si vous le
   voulez.</para>
 
   <note>
-    <para>Effacer aussi les copies temporaires de Tcl, Expect et DejaGnu, qui ont été utilisées
+    <para>Effacer aussi <filename class="directory">/tools</filename> les copies
+    temporaires de Tcl, Expect et DejaGnu, qui ont été utilisées
     pour lancer les tests de l'ensemble des outils. Si vous avez besoin de ces
     programmes plus tard, vous devrez les recompiler et les ré-installer. Le livre
     BLFS a les bonnes instructions pour le faire (voir 

Modified: trunk/lfs/chapter06/util-linux.xml
===================================================================
--- trunk/lfs/chapter06/util-linux.xml	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/chapter06/util-linux.xml	2012-03-05 01:19:49 UTC (rev 1658)
@@ -413,6 +413,16 @@
         </listitem>
       </varlistentry>
 
+      <varlistentry id="fstrim">
+        <term><command>fstrim</command></term>
+        <listitem>
+          <para>Écarte les blocs inutilisés sur un système de fichier monté</para>
+          <indexterm zone="ch-system-util-linux fstrim">
+            <primary sortas="b-fstrim">fstrim</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="getopt">
         <term><command>getopt</command></term>
         <listitem>
@@ -563,7 +573,17 @@
         </listitem>
       </varlistentry>
 
- 
+      <varlistentry id="lsblk">
+        <term><command>lsblk</command></term>
+        <listitem>
+          <para>Liste les informations sur tous les périphériques blocs ou ceux sélectionnés
+	   dansun format semblable à une arborescence.</para>
+          <indexterm zone="ch-system-util-linux lsblk">
+            <primary sortas="b-lsblk">lsblk</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="lscpu">
         <term><command>lscpu</command></term>
         <listitem>

Modified: trunk/lfs/general.ent
===================================================================
--- trunk/lfs/general.ent	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/general.ent	2012-03-05 01:19:49 UTC (rev 1658)
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "SVN-20120224">
-<!ENTITY releasedate "24 février 2012">
+<!ENTITY version "SVN-20120302">
+<!ENTITY releasedate "2 mars 2012">
 <!ENTITY copyrightdate "1999–2012">
-<!ENTITY milestone "7.1">
+<!ENTITY milestone "7.2">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
 <!ENTITY lfs-root "http://www.linuxfromscratch.org/">

Modified: trunk/lfs/packages.ent
===================================================================
--- trunk/lfs/packages.ent	2012-03-05 00:27:44 UTC (rev 1657)
+++ trunk/lfs/packages.ent	2012-03-05 01:19:49 UTC (rev 1658)
@@ -304,7 +304,7 @@
 <!ENTITY less-ch6-du "3.5 Mio">
 <!ENTITY less-ch6-sbu "moins de 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20120219">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20120229">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE Kio">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->




More information about the lfs-traducfr mailing list